import type { PageServerLoad } from './$types';
import { getOpnameList } from '$lib/server/opname';

export const load: PageServerLoad = async ({ url, locals }) => {
	const success = url.searchParams.get('success') === '1';
	const opnameList = await getOpnameList(locals.member!.id);

	return { opnameList, success };
};
